#ifndef CMWCALITRANS_H
#define CMWCALITRANS_H

#include "cmwidget.h"
#include <QResizeEvent>
namespace Ui {
class CMWCaliTrans;
}

class CMWCaliTrans : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWCaliTrans(QWidget *parent = 0);
    ~CMWCaliTrans();
    void MInit();
    void MFresh() override;
private slots:
    void on_pushButton_MoveInitPos_clicked();
	void on_btnExport_clicked();

    void on_btnMoveWtLoadPos_clicked();
    void on_btnMoveWtUnloadPos_clicked();

    void on_btnMoveLoadWtPos_clicked();
    void on_btnMoveLoadCoatPos_clicked();

    void on_btnMovUnloadWtPos_clicked();
    void on_btnMovUnloadCleanPos_clicked();

private:
    Ui::CMWCaliTrans *ui;
};

#endif // CMWCALITRANS_H
